#!/usr/bin/env python3
#
#

import os
import sys

if sys.version_info.major < 3: print("you need to run ZET with python3") ; os._exit(1)

try: use_setuptools()
except: pass

try:
    from setuptools import setup
except Exception as ex: print(str(ex)) ; os._exit(1)

from distutils import sysconfig
site_packages_path = sysconfig.get_python_lib()

setup(
    name='zet',
    version='2',
    url='https://pikacode.com/bthate/zet',
    author='Bart Thate',
    author_email='bthate@dds.nl',
    description="ZET - Respect voor God's Schepping",
    license='MIT',
    include_package_data=True,
    zip_safe=False,
    install_requires=["beautifulsoup4", "sleekxmpp", "feedparser"],
    scripts=["bin/zet", "bin/zet-sed", "bin/zet-local", "bin/zet-docs", "bin/zet-udp"],
    packages=['zet',
              'zet.bots',
              'zet.contrib',
              'zet.plugs',
              'zet.services',
             ],
    long_description = """ XMPP - IRC - CLI - RSS - UDP - API """,
    classifiers=[
        'Development Status :: 4 - Beta',
        'License :: OSI Approved :: MIT License',
        'Operating System :: Unix',
        'Programming Language :: Python',
        'Topic :: Software Development :: Libraries :: Python Modules'],
)
