# zet/defaults.py
#
#

""" default configurations. """

__copyright__ = "Copyright 2015, B.H.J Thate"

from zet.defines import homedir
from zet.object import Object
from zet.utils import j

import os
import os.path
import socket

## XMPP

xmpp = Object()
xmpp.server = "localhost"
xmpp.username = "zet"
xmpp.channel = "#zet"
xmpp.nick = "zet"
xmpp.cfg = "xmpp"
xmpp.user = "zet@localhost"

## IRC

irc = Object()
irc.server = "localhost"
irc.username = "zet"
irc.channel = "#zet"
irc.nick = "zet"
irc.cfg = "irc"

## KERNEL

kernel = Object()
kernel.greeting = "ZET1"
kernel.debug = False
kernel.background = False
kernel.openfire = False
kernel.shell = False
kernel.init = ""
kernel.workdir = ""
kernel.loglevel = "error"
kernel.packages = ["zet.plugs", "zet.bots", "zet.services"]
kernel.cfg = "kernel"

# UDP

udp = Object()
udp.cfg = "udp"
udp.host = "localhost"
udp.port = 5500
udp.password = "boh"
udp.seed = "blablablablablaz" # needs to be 16 chars wide

## API

api = Object()
api.cfg = "api"
api.hostname = socket.getfqdn()
api.port = 10102
