# zet/runtime.py
#
#

""" basic package for the program. """

__copyright__ = "Copyright 2015, B.H.J Thate"

## IMPORTS

from zet.defaults import kernel as cfg_kernel
from zet.utils import make_opts, hello, error
from zet.dispatcher import DISPATCHER
from zet.defines import opts_defs
from zet.plugins import PLUGINS
from zet.object import Object
from zet.log import init

import logging
import os

## KERNEL

class KERNEL(PLUGINS, DISPATCHER):

    def __init__(zelf, *args, **kwargs):
        PLUGINS.__init__(zelf, *args, **kwargs)
        DISPATCHER.__init__(zelf, *args, **kwargs)

    def boot(zelf, *args, **kwargs):
        opts, arglist = make_opts(opts_defs)
        cfg.update(cfg_kernel)
        cfg.update(vars(opts))
        cfg.runargs = arglist
        if cfg.shell: hello(args[0])
        init(cfg.loglevel)
        if cfg.loglevel != "error": print("\n".join(sorted(cfg.show()))) ; print("") 
        for package in cfg.packages:
            try: zelf.load(package)
            except: error()
        zelf.init(cfg.init)
        zelf.ready()
        return zelf

    def shutdown(zelf, *args, **kwargs):
        logging.warn("shutdown")

## DEFINES

kernel = KERNEL()
cfg = Object()
fleet = []
